# Navigator

- category: API
- chinese: 导航
- type: API

---

## How To Use

This component is similar to the Link and could be used to make page jumps in different scenes.

## Design

This component use weex navigator module to navigate to next page, and use `location.href` in web environment.

**Notice**This component may have compatibility issues in different apps, because native navigator module can be easily overwritten. Please test it before usage.

## API

### Navigator.push(url,title)

- The type of protocol supported by the `url` of this component depends on which protocols are compatible with the upper layer of the client, such as: http:, https:, mailto:, sms:, tel: and so on.
- Title setting depends on concrete container implementation methods

```js
Navigator.push('xxxUrl', 'title');
```

## The Other

- Chat with <a href="dingtalk://dingtalkclient/action/sendmsg?dingtalk_id=kjwo3w5">@翊晨[yichen]</a> in Dingtalk desktop App <a href='https://tms.dingtalk.com/markets/dingtalk/download'>Download</a>
- DingTalk Group

<img src="https://img.alicdn.com/tfs/TB101EESpXXXXXFXpXXXXXXXXXX-1122-1362.jpg" width="260" />
